> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.datalab.to/llms.txt
> Use this file to discover all available pages before exploring further.

# Form Filling Result Check

> Poll this endpoint to check status of a Form Filling request and retrieve the filled form



## OpenAPI

````yaml https://www.datalab.to/openapi.json get /api/v1/fill/{request_id}
openapi: 3.1.0
info:
  title: Datalab API
  version: 0.0.1
servers:
  - url: https://www.datalab.to
    description: Datalab API
security: []
paths:
  /api/v1/fill/{request_id}:
    get:
      summary: Form Filling Result Check
      description: >-
        Poll this endpoint to check status of a Form Filling request and
        retrieve the filled form
      operationId: result_response_api_v1_fill__request_id__get
      parameters:
        - name: request_id
          in: path
          required: true
          schema:
            type: string
            title: Request Id
        - name: wos-session
          in: cookie
          required: false
          schema:
            type: string
            title: Wos-Session
        - name: datalab_active_team
          in: cookie
          required: false
          schema:
            type: string
            title: Datalab Active Team
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FormFillingFinalResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    FormFillingFinalResponse:
      properties:
        status:
          type: string
          title: Status
          description: >-
            The status of the request. Should be 'complete' when the request is
            done.
        result_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Result Url
          description: >-
            Signed URL for downloading the completed result JSON when direct
            result download is required.
        expires_in:
          anyOf:
            - type: integer
            - type: 'null'
          title: Expires In
          description: Number of seconds until result_url expires.
        success:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Success
          description: Whether form filling succeeded.
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
          description: Error message if form filling failed.
        output_format:
          anyOf:
            - type: string
            - type: 'null'
          title: Output Format
          description: 'Output format: ''pdf'' or ''png''.'
        output_base64:
          anyOf:
            - type: string
            - type: 'null'
          title: Output Base64
          description: Base64-encoded filled form (PDF or PNG).
        fields_filled:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Fields Filled
          description: List of field keys that were successfully filled.
        fields_not_found:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Fields Not Found
          description: List of field keys that couldn't be matched to form fields.
        runtime:
          anyOf:
            - type: number
            - type: 'null'
          title: Runtime
          description: Processing time in seconds.
        page_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Page Count
          description: Number of pages processed.
        cost_breakdown:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Cost Breakdown
          description: A dictionary of the cost breakdown of this request.
        versions:
          anyOf:
            - additionalProperties: true
              type: object
            - type: string
            - type: 'null'
          title: Versions
          description: A dictionary of the versions of the libraries used in the request.
      type: object
      required:
        - status
      title: FormFillingFinalResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````